## kradioripper 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,15 @@
 
 # requierments
 find_package(KDE4 REQUIRED)
+# TODO enable libproxy support if available
+IF (NOT WITHOUT_LIBPROXY STREQUAL YES)
+  MESSAGE(STATUS "Compiling with libproxy support (default).")
+  MESSAGE(STATUS "The libproxy support can be disabled manually by calling cmake with \"-DWITHOUT_LIBPROXY=YES\" as argument.")
+  SET (libproxy_DIR cmake)
+  find_package(libproxy REQUIRED)
+ELSE (NOT WITHOUT_LIBPROXY STREQUAL YES)
+  MESSAGE(STATUS "libproxy support has been disabled manually")
+ENDIF (NOT WITHOUT_LIBPROXY STREQUAL YES)
 
 # build and install
 add_subdirectory(src)
