=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,26 +27,27 @@
 include_directories(
   ${QT_INCLUDE}
   ${KDE4_INCLUDES}
+  ${LIBPROXY_INCLUDE_DIR}
   ./
   qt-extensions/src
+  qt-extensions/src/streamdirectory
   radiostation
   radiostation/service_classes
   radiostation/settings_stream
   settings_general
+  ${CMAKE_CURRENT_BINARY_DIR}/../
   ${CMAKE_CURRENT_BINARY_DIR}/radiostation/settings_stream
   ${CMAKE_CURRENT_BINARY_DIR}/settings_general)
-
-
-
-# static lib
-add_subdirectory(qt-extensions)
+CONFIGURE_FILE(version.h.cmake version.h)
 
 
 
 # define source files which are part of the project and have to be compiled
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
-  main.cpp mainwindow.cpp
+  listensupport.cpp
+  main.cpp
+  mainwindow.cpp
   stationlistmodel.cpp
   stationlistwidget.cpp)
 
@@ -54,9 +55,15 @@
   ${kradioripper_SRCS}
   qt-extensions/src/customizableheaderview.cpp
   qt-extensions/src/console_reader.cpp
-  qt-extensions/src/stationdirectorytree.cpp
-  qt-extensions/src/streamdirectoryservice.cpp
-  qt-extensions/src/versionnumber.cpp)
+  qt-extensions/src/versionnumber.cpp
+  qt-extensions/src/streamdirectory/streamdirectorymodel.cpp
+  qt-extensions/src/streamdirectory/icecast.cpp
+  qt-extensions/src/streamdirectory/icecast_internalthread.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryproxymodel.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry_genre.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry_root.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry_stream.cpp)
 
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
@@ -68,7 +75,8 @@
 
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
-  radiostation/service_classes/propertyvalue.cpp)
+  radiostation/service_classes/propertyvalue.cpp
+  radiostation/service_classes/proxyinfo.cpp)
 
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
@@ -104,8 +112,9 @@
 
 # compile and link
 kde4_add_executable(kradioripper ${kradioripper_SRCS})
-# There is a possibility to make a target depend on a lib: add_dependencies(target dependency1 dependency2 ...)
-target_link_libraries(kradioripper ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_LIBRARIES})
+# There is a possibility to make a target depend on a self-made lib: add_dependencies(target dependency1 dependency2 ...)
+target_link_libraries(kradioripper ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBS} ${QT_LIBRARIES} ${LIBPROXY_LIBRARIES})
+
 
 
 # install
