=== debian/changelog ===
kradioripper (0.6-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 03:48:53 +0200

kradioripper (0.6-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Source format 3.0
    - Bump build-depends and Standards-Version
    - Build with dh --with kde
    - Bump compat to 7
    - Drop cdbs
    - Update my email address
    - Build with -DWITHOUT_LIBPROXY=YES to avoid FTBS

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 03:04:28 +0100

kradioripper (0.5.10-0ubuntu3) karmic; urgency=low

  * In long description change "ripping" to "recording" (LP: #378796)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 20 May 2009 21:12:37 +0200

kradioripper (0.5.10-0ubuntu2) karmic; urgency=low

  * Improve long description (LP: #374499)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 12 May 2009 14:27:08 +0200

kradioripper (0.5.10-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #271516)
  * Repacked .tar.bz2 to .tar.gz. tarball, no other changes.

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 15 Nov 2008 17:36:56 +0100
