=== debian/control ===
Source: kradioripper
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro-ghersi@kubuntu.org>
Build-Depends: debhelper (>= 7.4.13),
               pkg-kde-tools,
               cmake,
               kdelibs5-dev (>= 4:4.4.0)
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/project/showfiles.php?group_id=217306

Package: kradioripper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, streamripper (>= 1.63)
Description: internet radio recorder
 KRadioRipper is a program for recording internet radios and other streams.
 For streams that provide information about the song title, it can split the
 stream and create an own file for each track, with a corresponding file name
 and corresponding metadata. It is based on Streamripper and provides a well
 arranged user interface for whose features. Like Streamripper, it accepts MP3,
 AAC and OGG streams from Shoutcast-servers and Icecast-servers.
