=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- -DWITHOUT_LIBPROXY=YES

%:
	dh --with kde $@
